<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" type="text/css" href="bootstrap-4.4.1-dist/css/bootstrap.css">
	<script type="text/javascript" src="bootstrap-4.4.1-dist/js/bootstrap.js"></script>
	<style type="text/css" media="screen">
		div[class|='col']{
			min-height: 100px;
			border: 5px white solid;
		}
		.azul{
			background-color: aqua;
		}
		.gris{
			background-color: grey;
		}
		.azulO{
			background-color: blue;
		}
		.verde{
			background-color: green;
		}
		.naranja{
			background-color: orange;
		}
	</style>
</head>
<body>
	<div class="container">		
		<div class="row">
			<div class="col-md-12 verde">Header</div>
			<div class="col-md-3 offset-md-3 azul col-sm-3 col-6">1</div>
			<div class="col-md-3 azul col-sm-3 col-6">2</div>
			<div class="w-100 d-none d-md-block"></div>	
			<div class="col-md-3 azul col-sm-3 col-6">3</div>
			<div class="col-md-3 offset-md-6 azul col-sm-3 col-sm-3 col-6">4</div>
			<div class="col-sm-12 d-none d-sm-block d-md-none azulO">Tablet</div>
			<div class="col-12">
				<div class="row">
					<div class="col-md-3 gris col-sm-3 col-6 order-md-4">a</div>
			<div class="col-md-3 gris col-sm-3 col-6 order-md-3">b</div>
			<div class="col-md-3 gris col-sm-3 col-6 order-md-2">c</div>
			<div class="col-md-3 gris col-sm-3 col-6 order-md-1">d</div>
				</div>
			</div>
			
			<div class="col-md-12 d-none d-md-block d-lg-none d-none d-lg-block d-xl-none d-none d-xl-block azulO">Desktop</div>
			
			<div class="col-12 d-block d-sm-none azulO">Mobile</div>
			<div class="col-md-3 offset-md-3 col-sm-6 d-none d-sm-block naranja">:(</div>
			<div class="col-md-3 col-sm-6 naranja">:D</div>
			<div class="col-md-12 d-none d-sm-block verde">Footer</div>
		</div>
	</div>
</body>
</html>